---
title: List organizations the user has access to
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Organizations](https://developers.cloudflare.com/api/python/resources/organizations)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List organizations the user has access to

organizations.list(OrganizationListParams\*\*kwargs) -> SyncSinglePage\[[Organization](<https://developers.cloudflare.com/api/python/resources/organizations#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)>)]

GET/organizations

Retrieve a list of organizations a particular user has access to. (Currently in Public Beta - see https://developers.cloudflare.com/fundamentals/organizations/)

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

id: Optional\[Sequence\[str]]

Only return organizations with the specified IDs (ex. id=foo&id=bar). Send multiple elements by repeating the query value.

[Link to this property](<#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20id%20%3E%20(schema)>)

<details>

<summary>

containing: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/organizations/methods/list#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20containing%20%3E%20(schema)">Containing</a>]

</summary>

account: Optional\[str]

Filter the list of organizations to the ones that contain this particular account.

<a href="#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20containing%20%3E%20(schema)%20%3E%20(property)%20account">Link to this property</a>

organization: Optional\[str]

Filter the list of organizations to the ones that contain this particular organization.

<a href="#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20containing%20%3E%20(schema)%20%3E%20(property)%20organization">Link to this property</a>

user: Optional\[str]

Filter the list of organizations to the ones that contain this particular user.

IMPORTANT: Just because an organization “contains” a user is not a representation of any authorization or privilege to manage any resources therein. An organization “containing” a user simply means the user is managed by that organization.

<a href="#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20containing%20%3E%20(schema)%20%3E%20(property)%20user">Link to this property</a>

</details>

[Link to this property](<#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20containing%20%3E%20(schema)>)

<details>

<summary>

name: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/organizations/methods/list#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)">Name</a>]

</summary>

contains: Optional\[str]

(case-insensitive) Filter the list of organizations to where the name contains a particular string.

<a href="#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)%20%3E%20(property)%20contains">Link to this property</a>

ends\_with: Optional\[str]

(case-insensitive) Filter the list of organizations to where the name ends with a particular string.

<a href="#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)%20%3E%20(property)%20endsWith">Link to this property</a>

starts\_with: Optional\[str]

(case-insensitive) Filter the list of organizations to where the name starts with a particular string.

<a href="#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)%20%3E%20(property)%20startsWith">Link to this property</a>

</details>

[Link to this property](<#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

page\_size: Optional\[int]

The amount of items to return. Defaults to 10.

maximum1000

minimum0

[Link to this property](<#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page_size%20%3E%20(schema)>)

page\_token: Optional\[str]

An opaque token returned from the last list response that when provided will retrieve the next page.

Parameters used to filter the retrieved list must remain in subsequent requests with a page token.

[Link to this property](<#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page_token%20%3E%20(schema)>)

<details>

<summary>

parent: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/organizations/methods/list#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20parent%20%3E%20(schema)">Parent</a>]

</summary>

<details>

<summary>

id: Optional\[Union\[str, Literal\["null"]]]

Filter the list of organizations to the ones that are a sub-organization of the specified organization.

“null” is a valid value to provide for this parameter. It means “where an organization has no parent (i.e. it is a ‘root’ organization).”

</summary>

One of the following:

str

<a href="#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20parent%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(variant)%200">Link to this property</a>

Literal\["null"]

Filter the list of organizations to the ones that are a sub-organization of the specified organization.

“null” is a valid value to provide for this parameter. It means “where an organization has no parent (i.e. it is a ‘root’ organization).”

<a href="#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20parent%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20parent%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20organizations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20parent%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Organization: …

References an Organization in the Cloudflare data model.

</summary>

id: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

create\_time: datetime

formatdate-time

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20create_time">Link to this property</a>

<details>

<summary>

meta: Meta

</summary>

hierarchy\_tags: Optional\[List\[str]]

Ordered chain of organization tags from the root organization down to (and including) this organization itself. Root organizations return a single-element array containing their own tag; sub-organizations return <code>[rootTag, ...intermediateTags, parentTag, selfTag]</code>. Useful for constructing authorization scopes that need to cover every ancestor in the hierarchy.

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20hierarchy_tags">Link to this property</a>

managed\_by: Optional\[str]

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20managed_by">Link to this property</a>

<details>

<summary>

tenant\_flags: Optional\[MetaTenantFlags]

Enable features for Organizations.

</summary>

account\_creation: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20tenant_flags%20%3E%20(property)%20account_creation">Link to this property</a>

account\_creation\_applies\_tenant\_defaults: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20tenant_flags%20%3E%20(property)%20account_creation_applies_tenant_defaults">Link to this property</a>

account\_deletion: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20tenant_flags%20%3E%20(property)%20account_deletion">Link to this property</a>

account\_migration: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20tenant_flags%20%3E%20(property)%20account_migration">Link to this property</a>

account\_mobility: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20tenant_flags%20%3E%20(property)%20account_mobility">Link to this property</a>

enterprise\_capability: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20tenant_flags%20%3E%20(property)%20enterprise_capability">Link to this property</a>

member\_management: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20tenant_flags%20%3E%20(property)%20member_management">Link to this property</a>

sub\_org\_creation: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20tenant_flags%20%3E%20(property)%20sub_org_creation">Link to this property</a>

</details>

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20tenant_flags">Link to this property</a>

</details>

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

name: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

parent: Optional\[Parent]

</summary>

id: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20parent%20%3E%20(property)%20id">Link to this property</a>

name: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20parent%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20parent">Link to this property</a>

<details>

<summary>

profile: Optional\[Profile]

</summary>

business\_address: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20profile%20%3E%20(property)%20business_address">Link to this property</a>

business\_email: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20profile%20%3E%20(property)%20business_email">Link to this property</a>

business\_name: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20profile%20%3E%20(property)%20business_name">Link to this property</a>

business\_phone: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20profile%20%3E%20(property)%20business_phone">Link to this property</a>

external\_metadata: str

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20profile%20%3E%20(property)%20external_metadata">Link to this property</a>

</details>

<a href="#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)%20%3E%20(property)%20profile">Link to this property</a>

</details>

[Link to this property](<#(resource)%20organizations%20%3E%20(model)%20organization%20%3E%20(schema)>)

### List organizations the user has access to

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.organizations.list()
page = page.result[0]
print(page.id)
```

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a7b9c3d2e8f4a1b5c6d0e9f2a3b7c4d8",
      "create_time": "2019-12-27T18:11:19.117Z",
      "meta": {
        "hierarchy_tags": [
          "string"
        ],
        "managed_by": "managed_by",
        "tenant_flags": {
          "account_creation": "account_creation",
          "account_creation_applies_tenant_defaults": "account_creation_applies_tenant_defaults",
          "account_deletion": "account_deletion",
          "account_migration": "account_migration",
          "account_mobility": "account_mobility",
          "enterprise_capability": "enterprise_capability",
          "member_management": "member_management",
          "sub_org_creation": "sub_org_creation"
        }
      },
      "name": "name",
      "parent": {
        "id": "a7b9c3d2e8f4a1b5c6d0e9f2a3b7c4d8",
        "name": "name"
      },
      "profile": {
        "business_address": "business_address",
        "business_email": "business_email",
        "business_name": "business_name",
        "business_phone": "business_phone",
        "external_metadata": "external_metadata"
      }
    }
  ],
  "result_info": {
    "next_page_token": "next_page_token",
    "total_size": 0
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a7b9c3d2e8f4a1b5c6d0e9f2a3b7c4d8",
      "create_time": "2019-12-27T18:11:19.117Z",
      "meta": {
        "hierarchy_tags": [
          "string"
        ],
        "managed_by": "managed_by",
        "tenant_flags": {
          "account_creation": "account_creation",
          "account_creation_applies_tenant_defaults": "account_creation_applies_tenant_defaults",
          "account_deletion": "account_deletion",
          "account_migration": "account_migration",
          "account_mobility": "account_mobility",
          "enterprise_capability": "enterprise_capability",
          "member_management": "member_management",
          "sub_org_creation": "sub_org_creation"
        }
      },
      "name": "name",
      "parent": {
        "id": "a7b9c3d2e8f4a1b5c6d0e9f2a3b7c4d8",
        "name": "name"
      },
      "profile": {
        "business_address": "business_address",
        "business_email": "business_email",
        "business_name": "business_name",
        "business_phone": "business_phone",
        "external_metadata": "external_metadata"
      }
    }
  ],
  "result_info": {
    "next_page_token": "next_page_token",
    "total_size": 0
  },
  "success": true
}
```